Name:           opengrm-ngram
Version:        1.2.1
Release:        %mkrel 2
Summary:        Library for making and modifying n-gram language models
License:        ASL 2.0
Group:          Development/Other
URL:            http://www.opengrm.org/
Source0:        http://www.openfst.org/twiki/pub/GRM/NGramDownload/%{name}-%{version}.tar.xz
Source1:        %{name}-man.tar.xz

BuildRequires:  gsl-devel
BuildRequires:  openfst-devel
BuildRequires:  openfst-tools

%description
The OpenGrm NGram library is used for making and modifying n-gram
language models encoded as weighted finite-state transducers (FSTs).  It
makes use of functionality in the OpenFst library to create, access and
manipulate n-gram models.  Operations for counting, smoothing, pruning,
applying, and evaluating models are among those provided.

%package devel
Summary:        Development files for OpenGrm NGram
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gsl-devel, openfst-devel

%description devel
This package includes the necessary files to develop systems with the
OpenGrm NGram library.

%package tools
Summary:        Command-line tools for working with n-gram language models
Group:          File tools
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains command-line tools that give access to OpenGrm
NGram library functionality.

%prep
%setup -q
%setup -q -T -D -a 1


%build
#./configure --help

export LDFLAGS="-L%{_libdir}/fst"
./configure --prefix=/usr --libdir=%{_libdir}

%make

%install
rm -rf %{buildroot}
%make_install

# Remove libtool archives
rm -f %{buildroot}%{_libdir}/*.la

# Install the man pages
mkdir -p %{buildroot}%{_mandir}/man1
cd man
for f in *.1; do
  sed -e "s/@VERSION@/%{version}/" $f > %{buildroot}%{_mandir}/man1/$f
  touch -r $f %{buildroot}%{_mandir}/man1/$f
done
cd ..


%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/ngram/
%{_libdir}/*.so

%files tools
%{_bindir}
%{_mandir}/man1

%changelog
* Fri Dec 09 2016 adrianomorselli <adrianomorselli> 1.2.1-2uplos2016
- rebuild

* Tue Aug 09 2016 bb <bb> 1.2.1-2pclos2016
- fix rpmgroup

* Mon May 19 2014 MBantz <martin dot bantz at gmail dot com> - 1.2.1-1pclos2014
- Adapted to pclinuxos from loganjerry at gmail dot com
